import { it } from '@jest/globals';
import { newSpecPage } from '@stencil/core/testing';
/**
 * Test render result.
 */
const snapshot = async (parameters) => {
  const { testName, component, initialHtml, result } = parameters;
  it(testName, async () => {
    const page = await newSpecPage({
      components: [component],
      html: initialHtml,
    });
    expect(page.root).toEqualHtml(result);
  });
};
export default snapshot;
